Subject: bug#6694: 24.0.50; mouse-yank-primary tries to yank a *buffer*

From: "Drew Adams" <[email-masked]>
Date: Wed, 21 Jul 2010 11:21:11 -0700

Correction: Clicking mouse-1, then mouse-3 apparently does *not* copy the
selection to the kill ring.  When I said that C-y worked, I must have used M-w
first.

Without M-w, C-y doesn't work either (after selecting using mouse-1, 3).

The mouse should work normally for selection and wrt the kill-ring.
This is Emacs.